:root {
  --day: aliceblue;
  --night: #000;
  --night_alpha: rgba(99,99,99,0.3);
  --player_up: #c66bff;
  --player_dn: #af14ca;
  --player_bg: linear-gradient(to bottom, var(--player_up) 0%, var(--player_dn) 50%);
  --player_text: rgba(255, 255, 255, 0.8);
  --player_text_bg: #34135e;
  --player_slider_progress: #ff01ef;
  --player_slider_bg: var(--player_text_bg);
  --player_border: 0 0 0 1px rgba(0,0,0,0.1);
  --text_day: #000;
  --text_night: rgba(200,200,200,0.5);
}
@keyframes ani {
  0% {opacity: 0;}
  100% {opacity: 1;}
}
html {
  height: 100vh;
  width: 100vw;
  overflow-x: hidden;
  scrollbar-color: #848485 #ddd;
  scrollbar-width: none;
}
html, body, p {
  margin: 0;
  padding: 0;
}
body {
  color: #333;
  font-family: Arial, Tahona, Verdana, sans-serif;
  background-color: var(--night);
  text-decoration: none;
  animation: ani 2.5s forwards;
  -webkit-tap-highlight-color: transparent;
}
a, a:active {
  outline: none;
  background: none;
  text-decoration: underline;
  color: #9a9a9a;
}
.smartbg {
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position-y: bottom;
  background-position-x: center;
  background-image: url("/img/bg/1920.webp");
  background-blend-mode: multiply;
  background-color: #444;
  position: fixed;
  /* filter: blur(8px); */
}
.videoeffect .smartbg:not(:empty) {
  z-index: 1;
}
.videoeffect.played .lightrope,
.videoeffect.played #snow_box {
  display: none;
}
video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* mix-blend-mode: exclusion; */
}
.main {
  width: 330px;
  margin: 0 auto;
  padding: 15px 0;
  gap: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 1;
  position: relative;
}
.lightrope ~ .main {
  padding: 3em 0;
  transition: 0.5s linear;
}
.noscript {
  margin-bottom: 10px;
  padding: 5px 8px;
  text-align: center;
  background-color: var(--night_alpha);
  border-radius: 3px;
}
.top {
  display: flex;
  align-items: center;
}
.logo {
  width: 48px;
  height: 48px;
  opacity: 0.8;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  background-image: url("data:image/svg+xml,%3Csvg width='180' height='180' version='1.1' viewBox='0 0 180 180' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m143.93 31s1.4271 16.125-9 34.225-57.945 38.802-65 69.803c-5 21.972.07 34.972 20.07 34.972 83-5 99.93-98 53.93-139z' fill='%23333333'/%3E%3Cpath d='m36 149.09s-1.4271-16.125 9-34.225c10.427-18.101 57.945-38.802 65-69.803 5-21.972 0-35.062-20-35.062-83 5-100 98.09-54 139.09z' fill='%23ff6600'/%3E%3C/svg%3E");
}
@keyframes spin {
  from { transform:rotate(0deg); }
  to { transform:rotate(360deg); }
}
.played {
}
.title {
  font-size: 32px;
  line-height: 32px;
  font-weight: bold;
  margin: 0 10px;
}
.title:first-letter {
  /* color: #f60; */
}
.player {
  width: 280px;
  gap: 5px;
  display: flex;
  flex-direction: column;
}
.base {
  background: var(--player_bg);
  /* box-shadow: var(--player_border); */
  border-radius: 2px;
  padding: 5px;
}
.song {
  border-radius: 3px;
  color: var(--player_text);
  background-color: var(--player_text_bg);
  display: flex;
  align-items: center;
  justify-content: center;
}
.control {
  height: 32px;
  display: flex;
  margin-top: 5px;
}
.control .bg {
  background: var(--player_bg);
  box-shadow: var(--player_border);
  border-radius: 3px;
  display: flex;
}
.control .bg.vl {
  margin-left: 6px;
  width: 100%;
}
.control .bg.st {
  margin-left: 6px;
}
.current span {
  width: 14px;
  height: 14px;
  margin: 0 5px;
  border-radius: 20%;
  /* background-color: #222; */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' viewBox='0 0 512 512' xmlns='http://www.w3.org/2000/svg' fill='%23d0d0d0'%3E%3Cpath d='m60 256c0-51 18.6-97.9 54-135.6 5.3-5.7 5.2-14.8-.4-20.3-2.6-2.6-6.1-4.1-9.7-4.1-3.8 0-7.4 1.6-10.1 4.4-40.5 43.3-61.8 97-61.8 155.6 0 58.5 21.3 112.3 61.7 155.5 2.7 2.9 6.3 4.5 10.2 4.5 3.6 0 7.1-1.4 9.7-3.9 2.7-2.6 4.3-6.2 4.4-10 .1-3.9-1.3-7.6-4-10.3-35.4-37.9-54-84.8-54-135.8zm358.2-155.6c-2.6-2.8-6.2-4.4-10-4.4-3.6 0-7.1 1.4-9.7 3.9-2.7 2.6-4.3 6.2-4.4 10-.1 3.9 1.3 7.6 4 10.3 35.3 37.8 54 84.7 54 135.7s-18.6 97.9-54 135.7c-5.3 5.6-5.2 14.7.3 20.2 2.5 2.6 6 4 9.7 4 3.9 0 7.6-1.6 10.2-4.6 40.4-43 61.7-96.7 61.7-155.2s-21.3-112.4-61.8-155.6z'/%3E%3Cpath d='M159.2 347.7c-24.1-24.3-37.3-56.6-37.3-90.9 0-35 13.8-67.9 38.8-92.4 5.5-5.3 5.6-14.2.2-19.8-2.6-2.7-6.2-4.2-10-4.2-3.7 0-7.2 1.4-9.8 4C110.7 174.2 94 214.1 94 256.8c0 41.6 16.1 80.9 45.3 110.6 2.7 2.7 6.2 4.2 9.9 4.2s7.2-1.5 9.8-4.2c2.6-2.6 4.1-6.1 4.1-9.8.2-3.7-1.2-7.2-3.9-9.9zM371 144.5c-2.6-2.6-6-4-9.8-4-3.8 0-7.3 1.5-10 4.1-5.4 5.4-5.4 14.3.1 19.8 25 24.5 38.7 56.5 38.7 91.5 0 34.2-13.1 67.4-37.1 91.8-5.4 5.4-5.3 14.3.1 19.7 2.6 2.6 6.2 4.1 9.8 4.1 3.8 0 7.4-1.5 9.9-4.1C402 337.7 418 297.6 418 256c0-42.5-16.7-81.5-47-111.5z'/%3E%3Cpath d='m207.1 183.4c-2.6-2.7-6.2-4.2-10-4.2-3.7 0-7.2 1.4-9.8 4.1-19.8 19.5-30.8 45.6-30.8 73.3 0 27.1 10.5 52.7 29.5 72.1 2.7 2.7 6.2 4.2 10 4.2 3.7 0 7.2-1.4 9.8-4 2.7-2.6 4.2-6.1 4.2-9.9s-1.4-7.3-4.1-10c-13.8-14-21.4-32.6-21.4-52.5 0-20.3 8-39.2 22.4-53.4 5.4-5.2 5.5-14.1.2-19.7zm118.6-.2c-2.6-2.6-6-4-9.8-4s-7.3 1.5-10 4.1c-5.4 5.4-5.4 14.3.1 19.8 14.5 14.3 22.4 33.3 22.4 53.5 0 19.8-7.6 38.5-21.5 52.5-2.6 2.6-4.1 6.2-4 9.9 0 3.7 1.5 7.2 4.1 9.8s6.2 4.1 9.8 4.1c3.7 0 7.3-1.5 9.9-4.2 19.1-19.4 29.6-45 29.6-72.1.1-27.8-10.8-53.8-30.6-73.4zm-69.7 34.8c-21 0-38 17-38 38s17 38 38 38 38-17 38-38-17.1-38-38-38z'/%3E%3C/svg%3E");
}
.current:not(:empty) {
  white-space: nowrap;
  overflow: hidden;
  /* text-overflow: ellipsis; */
  font-size: 12px;
  padding: 5px;
  display: flex;
  align-items: center;
}
#play_button {
  width: 48px;
  height: inherit;
  background-repeat: no-repeat;
  background-position: 50%;
  background-size: contain;
  cursor: pointer;
}
.play {
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='9 9 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23000000'%3E%3Cpath d='m17.8 26.9c-.4.3-.8.1-.8-.5v-10.8c0-.6.4-.8.8-.4l8 5.4c.3.2.3.6 0 .8l-8 5.5z' fill='%23ffffff'/%3E%3C/g%3E%3C/svg%3E%0A");
}
.pause {
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='9 9 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23000000'%3E%3Cpath d='m17 15.6c0-.3.3-.6.6-.6h1.8c.3 0 .6.3.6.6v10.8c0 .3-.3.6-.6.6h-1.8c-.3 0-.6-.3-.6-.6v-10.8zm5 0c0-.3.3-.6.6-.6h1.8c.3 0 .6.3.6.6v10.8c0 .3-.3.6-.6.6h-1.8c-.3 0-.6-.3-.6-.6v-10.8z' fill='%23ffffff'/%3E%3C/g%3E%3C/svg%3E%0A");
}
.volume {
  display: flex;
  align-items: center;
  width: 100%;
}
#volume_set {
  width: 100%;
  background-color: var(--player_slider_bg);
  box-shadow: var(--player_border);
  border-radius: 3px;
  height: 3px;
  margin: 0 5px;
  padding: 0;
  -moz-appearance: none;
  -webkit-appearance: none;
}
#volume_set:focus {
  outline: none;
}
#volume_set::-moz-range-track {
  background: transparent;
  border-color: transparent;
  color: transparent;
}
#volume_set::-moz-range-progress {
  background: var(--player_slider_progress);
  border-radius: 3px;
  height: 3px;
}
#volume_set::-moz-range-thumb {
  border: none;
  height: 14px;
  width: 14px;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;
}
#volume_set::-webkit-slider-thumb {
  -webkit-appearance: none;
  border: none;
  height: 14px;
  width: 14px;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;
}
#settings_button {
  width: 32px;
  background-size: 55%;
  background-repeat: no-repeat;
  background-position: 50%;
  cursor: pointer;
}
.writetous {
  width: 32px;
  background-size: 55%;
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
  background-image: url("data:image/svg+xml,%3Csvg fill='%23fff' version='1.1' xmlns='http://www.w3.org/2000/svg' width='800px' height='800px' viewBox='0 0 302.167 302.167'%3E%3Cg%3E%3Cpath d='M261.155,24.004H41.007C18.39,24.004,0,42.402,0,65.017v129.092c0,22.613,18.39,41.012,41.007,41.012h166.17l34.588,40.869 c1.183,1.405,2.918,2.174,4.695,2.174c0.709,0,1.418-0.133,2.114-0.385c2.426-0.889,4.035-3.194,4.035-5.764V235.12h8.551 c22.614,0,41.007-18.398,41.007-41.012V65.017C302.162,42.402,283.775,24.004,261.155,24.004z M103.751,145.733 c-7.944,0-14.384-6.438-14.384-14.376c0-7.95,6.44-14.387,14.384-14.387c7.938,0,14.381,6.437,14.381,14.387 C118.132,139.296,111.689,145.733,103.751,145.733z M151.078,145.733c-7.944,0-14.381-6.438-14.381-14.376 c0-7.95,6.437-14.387,14.381-14.387c7.938,0,14.379,6.437,14.379,14.387C165.457,139.296,159.016,145.733,151.078,145.733z M201.365,145.733c-7.944,0-14.388-6.438-14.388-14.376c0-7.95,6.443-14.387,14.388-14.387c7.938,0,14.382,6.437,14.382,14.387 C215.747,139.296,209.303,145.733,201.365,145.733z'/%3E%3C/g%3E%3C/svg%3E");
}
.lastplayed {
  width: 32px;
  background-size: 55%;
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='m12 6v6l5 3' stroke='%23fffff8' stroke-width='3'/%3E%3Ccircle cx='12' cy='12' r='10.5' stroke='%23fffffd' stroke-dashoffset='10' stroke-width='3' style='paint-order:normal'/%3E%3C/g%3E%3C/svg%3E");
}
.settings {
  background-image: url("data:image/svg+xml,%3Csvg width='17' height='17' version='1.1' viewBox='0 0 17 17' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.98 9.35c0-.256.089-.594.089-.85s0-.594-.089-.85l1.837-1.275c.174-.086.263-.339.089-.594l-1.748-2.975c-.09-.256-.352-.342-.526-.256l-2.097.936a5.578 5.578 0 0 0-1.574-.85L10.7.425c0-.256-.175-.425-.437-.425H6.765c-.263 0-.437.17-.437.425L6.065 2.55c-.61.256-1.137.511-1.574.85l-2.096-.85c-.174-.086-.437 0-.526.17L.121 5.693c-.174.256-.174.512.089.595L2.047 7.65c0 .256-.089.594-.089.85s0 .594.089.85L.21 10.625c-.174.086-.263.339-.089.594l1.748 2.975c.09.256.352.342.526.256l2.096-.936c.437.342 1.052.68 1.574.85l.263 2.211c0 .256.174.425.437.425h3.497c.262 0 .437-.17.437-.425l.262-2.211c.612-.253 1.137-.508 1.574-.85l2.097.936c.174.086.437 0 .526-.17l1.748-2.974a.516.516 0 0 0-.09-.595L14.98 9.35zM8.513 11.9c-1.922 0-3.496-1.53-3.496-3.4 0-1.87 1.574-3.4 3.496-3.4 1.923 0 3.497 1.53 3.497 3.4 0 1.87-1.574 3.4-3.497 3.4z' fill='%23fff'/%3E%3C/svg%3E");
}
.settings_main_block {
  display: none;
  background: var(--player_bg);
  box-shadow: var(--player_border);
  border-radius: 2px;
  padding: 5px;
}
.settings_block {
  font-size: 12px;
  color: var(--player_text);
  text-shadow: 0 1px var(--player_slider_bg);
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.settings_block:not(:first-child) {
  margin-top: 5px;
}
.settings_block:first-child span {
  width: 100%;
  text-align: center;
}
.settings_effect_select {
  width: 24px;
  height: 24px;
  display: flex;
  cursor: pointer;
  border-radius: 3px;
  background: var(--player_bg);
  box-shadow: var(--player_border);
}
.settings_effect_select:before {
  content: '';
  width: inherit;
  background-position: center;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='9 9 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23000000'%3E%3Cpath d='m17.8 26.9c-.4.3-.8.1-.8-.5v-10.8c0-.6.4-.8.8-.4l8 5.4c.3.2.3.6 0 .8l-8 5.5z' fill='%23ffffff'/%3E%3C/g%3E%3C/svg%3E%0A");
}
#settings_effect_previous:before {
  transform: scale(-1);
}
.buttons_main_block {
  height: 24px;
  margin-top: 5px;
  display: flex;
  justify-content: center;
}
.buttons_block {
  width: calc(50% - 25px);
  font-size: 12px;
  color: var(--player_text);
  text-shadow: 0 1px var(--player_slider_bg);
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--player_bg);
  box-shadow: var(--player_border);
  border-radius: 2px;
  cursor: pointer;
}
.buttons_block:not(:first-child) {
  margin-left: 5px;
}
.last_played_main_block {
  display: none;
  background: var(--player_bg);
  box-shadow: var(--player_border);
  border-radius: 2px;
}
.last_played_list_block {
  font-size: 12px;
  line-height: 1.2;
  color: var(--player_text);
  background-color: var(--player_text_bg);
  border-radius: 3px;
  padding: 2px 4px;
  margin: 5px;
}
.last_block {
  display: flex;
}
.last_time {
  margin-right: 5px;
}
.last_title {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.show {
  display: block !important;
}
input[type="checkbox"] {
  min-width: 30px;
  height: 15px;
  margin: 0;
  border: none;
  outline: none;
  cursor: pointer;
  background-color: var(--player_slider_bg);
  box-shadow: var(--player_border);
  border-radius: 8px;
  position: relative;
  display: inline-block;
  -webkit-appearance:  none;
  -moz-appearance: none;
  appearance: none;
}
input[type="checkbox"]:checked {
  background-color: var(--player_slider_progress);
}
input[type="checkbox"]:before {
  content: '';
  position: absolute;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  top: 0;
  left: 0;
  background: #fff;
  transform: scale(0.7);
  box-shadow: var(--player_border);
  transition: 0.1s;
}
input:checked[type="checkbox"]:before {
  left: 15px;
}
.info {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}
.links:empty {
  display: none;
}
.links:not(:empty) {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
.links div:before {
  content: "";
  width: 32px;
  height: 32px;
  display: flex;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  border-radius: 20%;
  cursor: pointer;
}
.vk:before {
  background-color: #4a76a8;
  background-image: url("data:image/svg+xml,%3Csvg width='250' height='250' version='1.1' viewBox='0 0 66.145832 66.145835' xmlns='http://www.w3.org/2000/svg'%3E%3Cg transform='translate(0 -230.85)'%3E%3Cpath class='st1' d='m55.908 252.92c.35307-1.1393 0-1.9679-1.5636-1.9679h-5.1952c-1.3114 0-1.9167.72501-2.2697 1.5018 0 0-2.6732 6.6287-6.4057 10.927-1.2105 1.2429-1.7653 1.6572-2.421 1.6572-.35307 0-.80702-.4143-.80702-1.5536v-10.616c0-1.3465-.40351-1.9679-1.5132-1.9679h-8.171c-.80702 0-1.3114.62144-1.3114 1.2429 0 1.2947 1.8662 1.6054 2.068 5.2305v7.8716c0 1.7089-.30263 2.0196-.95833 2.0196-1.7653 0-6.0526-6.6805-8.625-14.293-.50438-1.5018-1.0088-2.0715-2.3202-2.0715h-5.2456c-1.5132 0-1.7653.72503-1.7653 1.5018 0 1.3982 1.7653 8.4413 8.2215 17.763 4.2873 6.3698 10.39 9.7877 15.888 9.7877 3.3289 0 3.7324-.77682 3.7324-2.0715v-4.8162c0-1.5536.30263-1.8125 1.3618-1.8125.75658 0 2.1184.41426 5.1952 3.4697 3.5307 3.6251 4.136 5.2822 6.1031 5.2822h5.1952c1.5132 0 2.2193-.7768 1.8158-2.2786-.45395-1.5018-2.1689-3.6768-4.3882-6.2662-1.2105-1.45-3.0263-3.0554-3.5811-3.8322-.75658-1.0357-.55482-1.45 0-2.3822-.05045 0 6.3048-9.218 6.9605-12.325' fill='%23fff'/%3E%3C/g%3E%3C/svg%3E");
}
.rutube:before {
  background-color: #1c232b;
  /* box-shadow: 0 0 0 1px var(--text_night); */
  background-image: url("data:image/svg+xml,%3Csvg width='180' height='180' version='1.1' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m135 90-80-40v80z' fill='%23fff' stroke-width='1.8309'/%3E%3C/svg%3E%0A");
}
.rutube:after {
  content: "•";
  color: crimson;
  font-size: 20px;
  line-height: 20px;
  font-weight: bold;
  position: absolute;
  margin: -36px 0 0 22px;
}
.ok:before {
  background-color: #F7931E;
  background-image: url("data:image/svg+xml,%3Csvg width='389.4px' height='387.42px' enable-background='new 0 0 389.404 387.417' version='1.1' viewBox='0 0 389.404 387.417' xml:space='preserve' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23FFFFFF'%3E%3Cpath d='m194.48 57.901c-38.593 0-69.878 31.286-69.878 69.878 0 38.593 31.285 69.881 69.878 69.881s69.878-31.288 69.878-69.881c0-38.592-31.285-69.878-69.878-69.878zm0 98.766c-15.953 0-28.886-12.934-28.886-28.887s12.933-28.886 28.886-28.886 28.886 12.933 28.886 28.886-12.933 28.887-28.886 28.887z'/%3E%3Cpath d='m219.16 253.26c27.975-5.699 44.739-18.947 45.626-19.658 8.186-6.565 9.501-18.523 2.936-26.71-6.564-8.186-18.521-9.501-26.709-2.937-.173.14-18.053 13.856-47.472 13.876-29.418-.02-47.676-13.736-47.849-13.876-8.188-6.564-20.145-5.249-26.709 2.937-6.565 8.187-5.25 20.145 2.936 26.71.899.721 18.355 14.314 47.114 19.879l-40.081 41.888c-7.284 7.554-7.065 19.582.489 26.866 3.687 3.555 8.439 5.322 13.187 5.322 4.978 0 9.951-1.945 13.679-5.812l37.235-39.665 40.996 39.922c7.428 7.416 19.456 7.404 26.87-.021 7.414-7.426 7.405-19.456-.021-26.87l-42.227-41.851z'/%3E%3Cpath d='m193.54 217.83c-.047 0 .046.001 0 .002-.046-.001.047-.002 0-.002z'/%3E%3C/g%3E%3C/svg%3E");
}
.telegram:before {
  background-color: #37aee2;
  background-size: 140% !important;
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' viewBox='0 0 240 240' xmlns='http://www.w3.org/2000/svg'%3E%3Cdefs%3E%3ClinearGradient id='b' x1='.66' x2='.851' y1='.437' y2='.802'%3E%3Cstop stop-color='%23eff7fc' offset='0'/%3E%3Cstop stop-color='%23fff' offset='1'/%3E%3C/linearGradient%3E%3C/defs%3E%3Cpath d='M98 175c-3.888 0-3.227-1.468-4.568-5.17L82 132.207 170 80' fill='%23c8daea' style=''/%3E%3Cpath d='m98 175c3 0 4.325-1.372 6-3l16-15.558-19.958-12.035' fill='%23a9c9dd' style=''/%3E%3Cpath d='m100.04 144.41l48.36 35.729c5.519 3.045 9.501 1.468 10.876-5.123l19.685-92.763c2.015-8.08-3.08-11.746-8.36-9.349l-115.59 44.571c-7.89 3.165-7.843 7.567-1.438 9.528l29.663 9.259 68.673-43.325c3.242-1.966 6.218-.91 3.776 1.258' fill='url(%23b)' style=''/%3E%3C/svg%3E");
}
.telechat:before {
  background-color: #4ba813;
  background-size: 90% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='64' height='64' version='1.1' viewBox='0 0 64 64' xml:space='preserve' xmlns='http://www.w3.org/2000/svg'%3E%3Cg transform='matrix(.075374 0 0 .073952 1.2463 1.3985)' fill='%23ffffff'%3E%3Cpath d='m416.6 660c-7.9 0-14.5.1-20.7.1-14.7 0-26.5-.4-44.1-3-17.1 20.8-132.4 108.7-210.5 121.5 0-.1-.1-.1-.4-.1-1.1 0-4.1.4-6 .4-12.5 0-22.7-10.1-22.7-22.6 0-3.2.7-6.2 1.8-8.9h-.1c14.7-25.3 52-86.8 52-131.7 0-.7.2-1.2.2-1.8-105.5-54-156.1-164-156.1-267.2 0-165.6 179-298 399.9-298s396.1 132.4 396.1 298c2.6 187.2-168.5 313.3-389.4 313.3zm-6.7-550.1c-186.8 0-338.7 105.2-338.7 236.8 0 79.1 38.1 169.3 122.9 212.7l33.4 17-2.9 37.4s.9 18.7-19.8 77.7c34-21.4 73.5-54.4 82.6-64.9l39.2-32.5 34.1 2.4c29.3 4.3 57.8 3.2 57.8 3.2 186.8 0 325.7-107.1 326.3-253.1 0-131.5-148.1-236.7-334.9-236.7z'/%3E%3Cpath d='m204.1 358.3c0 22.7 18.4 41.2 41.2 41.2 22.7 0 41.2-18.4 41.2-41.2 0-22.7-18.4-41.2-41.2-41.2s-41.2 18.4-41.2 41.2z'/%3E%3Cpath d='m377.4 358.3c0 22.7 18.4 41.2 41.2 41.2 22.7 0 41.2-18.4 41.2-41.2 0-22.7-18.4-41.2-41.2-41.2s-41.2 18.4-41.2 41.2z'/%3E%3Cpath d='m550.7 358.3c0 22.7 18.4 41.2 41.2 41.2 22.7 0 41.2-18.4 41.2-41.2 0-22.7-18.4-41.2-41.2-41.2s-41.2 18.4-41.2 41.2z'/%3E%3C/g%3E%3C/svg%3E");
}
.twitter:before {
  background-color: #41abe1;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg fill='%23ffffff' width='256' height='256' version='1.1' viewBox='0 0 6432.9558 6433.2321' xmlns='http://www.w3.org/2000/svg'%3E%3Cg transform='matrix(.93726 0 0 .9415 77.126 653.38)'%3E%3Cpath class='fil0' d='m6701 645c-247 109-512 183-790 216 284-170 502-440 604-761-266 158-560 272-873 334-251-267-608-434-1004-434-759 0-1375 616-1375 1375 0 108 12 213 36 313-1143-57-2156-605-2834-1437-118 203-186 439-186 691 0 477 243 898 612 1144-225-7-437-69-623-172v17c0 666 474 1222 1103 1348-115 31-237 48-362 48-89 0-175-9-259-25 175 546 683 944 1284 955-471 369-1063 589-1708 589-111 0-220-7-328-19 608 390 1331 618 2108 618 2529 0 3912-2095 3912-3912 0-60-1-119-4-178 269-194 502-436 686-712z'/%3E%3C/g%3E%3C/svg%3E");
}
.stream:before {
  background-color: #ca102a;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' viewBox='0 0 192 192' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m180.02 99.242l-80.779 80.778-2.864 2.863-2.863-2.863-80.78-80.781-2.863-2.862 2.863-2.863 80.777-80.777 2.863-2.863 2.863 2.863 80.783 80.78 2.863 2.863-2.863 2.862zm-83.643 72.188l75.051-75.051-75.054-75.053-75.05 75.05 75.053 75.054z' fill='%23fff'/%3E%3Cpath d='m37.911 155.3l90.464-57.744-.02-10.265-9.471-3.317-2.551-11.076 29.924-30.237-84.86 48.549v8.244h12.265l4.762 11.473-40.508 40.918-.005 3.455zm100.84-48.365l-103.96 66.359c-.658.42-10.366.061-10.366-5.637v-.047l.012-9.256.013-9.256a6.677 6.677 0 0 1 .537 -2.553 6.88 6.88 0 0 1 1.437 -2.182l31.122-31.439h-2.882c-4.272-.506-6.067-3.139-6.735-6.734v-18.879c0-2.251 1.439-4.722 3.394-5.84l99.421-56.878c8.209-.826 9.627 2.23 10.074 5.84.607 1.784 1.285 4.357 1.428 7.217.184 3.678-.52 7.83-3.4 11.388l-25.506 25.77 3.951 1.384c2.451.858 4.521 3.744 4.525 6.34l.035 18.721c.004 2.158-1.285 4.521-3.105 5.682zm-114.32 60.722h6.765-6.765z' fill='%23fff'/%3E%3Cpath d='M31.214 167.51l103.958-66.358-.031-18.724-13.987-4.895L154.139 44.2V30.329l-99.421 56.88v18.877h18.997L31.24 148.992l-.026 18.559v-.041z' fill='%23fff'/%3E%3C/svg%3E");
}
.m3u:before {
  background-color: #16aea0;
  background-size: 70% !important;
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 512 512' style='enable-background:new 0 0 512 512;' xml:space='preserve' fill='%23fff'%3E%3Cg%3E%3Cpath d='M48,64h160c17.672,0,32-14.328,32-32c0-17.674-14.328-32-32-32H48C30.328,0,16,14.326,16,32C16,49.672,30.328,64,48,64z'/%3E%3Cpath d='M48,160h160c17.672,0,32-14.328,32-32c0-17.674-14.328-32-32-32H48c-17.672,0-32,14.326-32,32 C16,145.672,30.328,160,48,160z'/%3E%3Cpath d='M240,224c0-17.674-14.328-32-32-32H48c-17.672,0-32,14.326-32,32c0,17.672,14.328,32,32,32h160 C225.672,256,240,241.672,240,224z'/%3E%3Cpath d='M411.328,75.914C393.043,61.805,368,42.477,368,32c0-17.672-14.328-32-32-32s-32,14.328-32,32v293.58 c-10.023-3.549-20.762-5.58-32-5.58c-53.02,0-96,42.98-96,96s42.98,96,96,96s96-42.98,96-96V123.293 c1.414,1.094,2.82,2.203,4.23,3.293c36.105,27.852,59.77,48.078,59.77,74.305c0,40.766-21.684,63.516-22.305,64.164 c-12.672,12.32-12.961,32.578-0.641,45.25c6.273,6.453,14.605,9.695,22.949,9.695c8.035,0,16.082-3.008,22.301-9.055 c4.27-4.148,41.695-42.484,41.695-110.055C496,141.25,449.051,105.023,411.328,75.914z'/%3E%3C/g%3E%3C/svg%3E%0A");
}
.mail:before {
  background-color: #808080;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg enable-background='new 0 0 64 64' version='1.1' viewBox='0 0 64 64' xml:space='preserve' xmlns='http://www.w3.org/2000/svg'%3E%3Cg transform='matrix(.83333 0 0 .85713 5.3333 4.2854)'%3E%3Cg transform='matrix(1.5,0,0,1.6667,-16,-21)'%3E%3Cpath class='st3' d='m52 42c0 2.2-1.8 4-4 4h-32c-2.2 0-4-1.8-4-4v-20c0-2.2 1.8-4 4-4h32c2.2 0 4 1.8 4 4z' fill='%23e6e6e6'/%3E%3Cg class='st1' opacity='.2'%3E%3Cpath class='st2' d='m35.5 30.2c-1.9-2.1-5.1-2.1-7 0l-15.5 13c-.2.2-.3.4-.5.6.7 1.3 2 2.2 3.4 2.2h32c1.5 0 2.7-.9 3.4-2.2-.1-.2-.3-.4-.5-.6z' fill='%23231f20'/%3E%3C/g%3E%3Cpath class='st3' d='m35.5 32c-1.9-1.9-5.1-1.9-7 0l-15.5 11.5-.5.5c.7 1.2 2 1.9 3.4 1.9h32c1.5 0 2.7-.8 3.4-1.9-.1-.2-.3-.3-.5-.5z' fill='%23e6e6e6'/%3E%3Cg class='st1' opacity='.2'%3E%3Cpath class='st2' d='m12.6 20.2c.7-1.3 2-2.2 3.4-2.2h32c1.5 0 2.7.9 3.4 2.2-.1.2-.3.4-.5.6l-15.4 13c-1.9 2.1-5.1 2.1-7 0z' fill='%23231f20'/%3E%3C/g%3E%3Cpath class='st4' d='m28.5 32c1.9 1.9 5.1 1.9 7 0l15.5-11.5.5-.5c-.7-1.2-2-1.9-3.4-1.9h-32.1c-1.5 0-2.7.8-3.4 1.9.1.2.3.3.5.5z' fill='%23f2f2f2'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
.more:before {
  background-color: #1c232b;
  background-size: 50% !important;
  box-shadow: 0 0 0 1px var(--text_night);
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' xmlns='http://www.w3.org/2000/svg' width='800px' height='800px' viewBox='0 0 41.915 41.91' fill='%23ffffff' stroke='%23ffffff'%3E%3Cpath d='M11.214,20.956c0,3.091-2.509,5.589-5.607,5.589C2.51,26.544,0,24.046,0,20.956c0-3.082,2.511-5.585,5.607-5.585 C8.705,15.371,11.214,17.874,11.214,20.956z'/%3E%3Cpath d='M26.564,20.956c0,3.091-2.509,5.589-5.606,5.589c-3.097,0-5.607-2.498-5.607-5.589c0-3.082,2.511-5.585,5.607-5.585 C24.056,15.371,26.564,17.874,26.564,20.956z'/%3E%3Cpath d='M41.915,20.956c0,3.091-2.509,5.589-5.607,5.589c-3.097,0-5.606-2.498-5.606-5.589c0-3.082,2.511-5.585,5.606-5.585 C39.406,15.371,41.915,17.874,41.915,20.956z'/%3E%3C/svg%3E");
}
.copy {
  margin-top: 10px;
  display: flex;
  align-items: center;
  background-color: #dee7ee;
  padding: 5px 8px;
  border-radius: 3px;
}
.about {
  text-align: center;
  font-size: medium;
}
.youtube:before {
  background-color: #d22222;
  background-image: url("data:image/svg+xml,%3Csvg width='180' height='180' version='1.1' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m135 90-80-40v80z' fill='%23fff' stroke-width='1.8309'/%3E%3C/svg%3E%0A");
}
.yandex:before {
  background-color: #333;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='250' height='250' version='1.1' viewBox='0.61537933 0.84615386 250 250' xmlns='http://www.w3.org/2000/svg'%3E%3Cdesc%3ECreated with Sketch.%3C/desc%3E%3Cg transform='translate(25 3.6923)' fill='none'%3E%3Cg%3E%3Ccircle id='036ff3c2-85be-4920-8182-b76bda84895b' cx='97.538' cy='146.23' r='96.923' fill='%23ffcc00'/%3E%3Cpath id='74fa9ccb-0cb8-4504-995d-ff3e8719b80b' d='m97.538 194.69c22.159 0 40.841-14.87 46.615-35.173 1.2019-4.226 1.8462-12.5 1.8462-21.365 0-8.8702-2.8606-9.0769-5.0288-13.447-2.6653-5.363-6.2984-10.188-10.716-14.231-8.9257-8.1891-20.603-12.725-32.716-12.707-26.764 0-48.462 21.697-48.462 48.462s21.697 48.462 48.462 48.462z' fill='%23ff3333'/%3E%3Cpolygon points='199.31 20.231 199.31 63.846 146 47.442 146 138.14 136.31 141.38 138.73 124.42 136.31 109.88 136.31 .84615' fill='%23ff3333'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
.lastfm:before {
  background-color: #e31b23;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='32px' height='32px' version='1.1' viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m14.131 22.948l-1.172-3.193s-1.912 2.131-4.771 2.131c-2.537 0-4.333-2.203-4.333-5.729 0-4.511 2.276-6.125 4.515-6.125 3.224 0 4.245 2.089 5.125 4.772l1.161 3.667c1.161 3.561 3.365 6.421 9.713 6.421 4.548 0 7.631-1.391 7.631-5.068 0-2.968-1.697-4.511-4.844-5.244l-2.344-.511c-1.624-.371-2.104-1.032-2.104-2.131 0-1.249.985-1.984 2.604-1.984 1.767 0 2.704.661 2.865 2.24l3.661-.444c-.297-3.301-2.584-4.656-6.323-4.656-3.308 0-6.532 1.251-6.532 5.245 0 2.5 1.204 4.077 4.245 4.807l2.484.589c1.865.443 2.484 1.224 2.484 2.287 0 1.359-1.323 1.921-3.828 1.921-3.703 0-5.244-1.943-6.124-4.625l-1.204-3.667c-1.541-4.765-4.005-6.531-8.891-6.531-5.287-.016-8.151 3.385-8.151 9.192 0 5.573 2.864 8.595 8.005 8.595 4.14 0 6.125-1.943 6.125-1.943z' fill='%23fff'/%3E%3C/svg%3E");
}
.google:before {
  background-color: lightgray;
  background-size: 70% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg transform='translate(27.009 -39.239)'%3E%3Cpath d='m-3.264 51.509c0-.79-.07-1.54-.19-2.27h-11.3v4.51h6.47c-.29 1.48-1.14 2.73-2.4 3.58v3h3.86c2.26-2.09 3.56-5.17 3.56-8.82z' fill='%234285F4'/%3E%3Cpath d='m-14.754 63.239c3.24 0 5.95-1.08 7.93-2.91l-3.86-3c-1.08.72-2.45 1.16-4.07 1.16-3.13 0-5.78-2.11-6.73-4.96h-3.98v3.09c1.97 3.92 6.02 6.62 10.71 6.62z' fill='%2334A853'/%3E%3Cpath d='m-21.484 53.529c-.25-.72-.38-1.49-.38-2.29s.14-1.57.38-2.29v-3.09h-3.98c-.82 1.62-1.29 3.44-1.29 5.38s.47 3.76 1.29 5.38l3.98-3.09z' fill='%23FBBC05'/%3E%3Cpath d='m-14.754 43.989c1.77 0 3.35.61 4.6 1.8l3.42-3.42c-2.07-1.94-4.78-3.13-8.02-3.13-4.69 0-8.74 2.7-10.71 6.62l3.98 3.09c.95-2.85 3.6-4.96 6.73-4.96z' fill='%23EA4335'/%3E%3C/g%3E%3C/svg%3E");
}
.album {
  width: 140px;
  height: 140px;
  object-fit: cover;
  /* object-position: left; */
  background-color: rgba(0,0,0,0.2);
  border: 2px solid;
  /* border: 2px outset ThreeDLightShadow; */
  border-radius: 10%;
}
.album.special {
  background-color: #fff;
}
.album.special:before {
  content: attr(title);
}
#vk_comments_switch:before {
  content: "";
  margin-top: 10px;
  width: 200px;
  line-height: 32px;
  padding: 0 8px;
  color: #fff;
  background-color: #4a76a8;
  border-radius: 2px;
  display: flex;
  justify-content: center;
  cursor: pointer;
}
#vk_comments_switch.show:before {
  content: "Показать комментарии";
}
#vk_comments_switch.load:before {
  content: "Загружаем...";
}
#vk_comments_switch.hide:before {
  content: "Скрыть комментарии";
}
#vk_comments {
  margin-top: 10px;
}
@keyframes marquee {
  0% { text-indent: 0px; }
}
#snow_box, .buttons_block {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none;   /* Chrome/Safari/Opera */
  -khtml-user-select: none;    /* Konqueror */
  -moz-user-select: none;      /* Firefox */
  -ms-user-select: none;       /* Internet Explorer/Edge */
  user-select: none;           /* Non-prefixed version */
}
#snow_box {
  animation: ani 2.5s forwards;
}
#additional {
  display: none;
  /* animation: ani 1.0s forwards; */
}

/* Dark Theme */

html.darktheme {
  scrollbar-color: #848485 #363637;
}
.darktheme body {
  background-color: var(--night);
  color: var(--text_night);
  /* background-blend-mode: multiply; */
}
.darktheme .title {
  /* text-shadow: var(--text_night); */
}
.darktheme .copy {
  background-color: var(--night_alpha);
}
.darktheme .about {
  text-align: center;
  font-size: medium;
  /* text-shadow: var(--text_night); */
}



/* Dowm Player (Mobile View) */

@media screen and (max-width: 600px) {
  .main {
    width: unset;
    margin-bottom: 80px;
  }
  .about {
    margin: 0 10px;
  }
  .player {
    flex-direction: column-reverse;
    background: var(--player_bg);
    position: fixed;
    width: 100%;
    bottom: 0;
    gap: unset;
  }
  .player > * {
    background: none;
    box-shadow: none;
  }
  .base {
    border-radius: unset;
    /*padding: 0 5px 5px 5px;*/
  }
  #generated_links {
    margin-top: 5px;
  }
  #generated_links div::before {
    background-color: var(--player_text_bg);
  }
  .settings_main_block.show {
    background-color: var(--player_text_bg);
    border-radius: 3px;
    margin: 5px;
  }
  .settings_main_block.show input[type="checkbox"] {
    background-color: var(--player_dn);
  }
  .settings_main_block.show input[type="checkbox"]:checked {
    background-color: var(--player_slider_progress);
  }
  .current:not(:empty) {
    font-size: 16px;
  }
  .control {
    height: 38px;
  }
  .writetous, .lastplayed, .settings {
    width: 38px !important;
  }
  .settings_effect_select {
    width: 32px;
    height: 32px;
  }
  .settings_block {
    font-size: 14px;
  }
  input[type="checkbox"] {
    transform: scale(1.3);
    left: -5px;
  }
}